Create Api Key
Create a new API key for an account with MMS access.
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
- enumContent
- Type const:application/jsonrequiredRequest payload format. Must be
application/jsonwhen a body is sent.values- application/json
Body·
required
application/json
- Type: string · Account Idaccount
_id required - Type: string · Expires AtFormat: date-time nullableexpires
_at the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: string · Key nullablekey
- Type: string · Name nullablename
Responses
- application/json
- application/json
Request Example for post/v1/api-keys
curl https://api.uat.koard.com/v1/api-keys \
--request POST \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
--data '{
"account_id": "",
"expires_at": "",
"key": "",
"name": ""
}'
{
"account_id": "string",
"created_at": "2026-06-22T13:58:38.599Z",
"expires_at": "2026-06-22T13:58:38.599Z",
"id": "string",
"key": "string",
"name": "string",
"status": "active"
}
